For the complete documentation index, see llms.txt. This page is also available as Markdown.

OAuth 2 Authorization

Authorize your Collibra API calls.

Request an access token.

post

Obtain an access token that can be used to authorize Collibra API calls.

Authorizations
AuthorizationstringRequired

Collibra REST API authentication with Basic HTTP Authentication (RFC 7617).

The client identifier is used as the username and the client secret is used as the password.

Body
grant_typestringRequired

Type of authorization. The only supported grant type is client_credentials.

Responses
200

Token successfully generated.

application/json
access_tokenstringOptional

The Base64 encoded access token.

token_typestringOptional

The type of access token returned. The only supported type is "Bearer".

scopestringOptional

The scopes that have been granted for the client.

This field is omitted if the client did not request any specific scopes, in which case the default scopes for the client will have been granted.

expires_ininteger · int64Optional

The time in seconds until the access token is no longer valid.

post/token
POST /rest/oauth/v2/token HTTP/1.1
Authorization: Basic username:password
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 191

"grant_type='client_credentials'&client_id='urn:sys:env:f40896da-f739-4c07-8058-d3dcd2f3332d:i:1qg8zne'&client_secret='ntRC8O68kfL_5d13Ye8vnk7XbRN43GJWtd8K0cZ0n10n-lyNzQ0NREDvTmMoDz3K'"
{
  "access_token": "eyJraWQiOiJsb2NhbCIsImFsZyI6IlJTMjU2In0.eyJqdGkiOiIwNDQ3ZWUyMS1jNDlkLTQ0YTQtYTMyYi1hZDBjZjViMjQ0ZTYiLCJzdWIiOiJ1cm46c3lzOmVudjpmNDA4OTZkYS1mNzM5LTRjMDctODA1OC1kM2RjZDJmMzMzMmQ6aToxcWc4em5lIiwiYXVkIjoiY29sbGlicmEiLCJzY29wZSI6WyJkZ2MuYWRtaW4iLCJkZ2MuZ2xvYmFsLW1hbmFnZS1hbGwtcmVzb3VyY2VzIl0sImlzcyI6Imh0dHA6Ly9hdXRoLmlhbSIsImlhdCI6MTczNjQ5NjI4MCwibmJmIjoxNzM2NDk2MjgwLCJleHAiOjE3MzY0OTY1ODAsImVudiI6ImY0MDg5NmRhLWY3MzktNGMwNy04MDU4LWQzZGNkMmYzMzMyZCJ9.F4ervk_PeN01Dju0Dx4S2evLvbXMtQ9aQ9zzGzhQqTCvBMnXmJZky822XegNODU6g0FsmhDZJH14Agx-IsJseGoRe2IHZJGznAZZ0ng3FYbgF3dslkXp2OUkcF5Gk7t-FYNBrypjY9LrOU9YRGO-RjvwqVb7n--t5H-8TwSFLsB0aLWvM2kL4J98kvfPkxCcf5S-O5bcOSN6Z78dQlmeE9SBPNz9zeWg-NgIq8erDiLWFgIW80HE1JkbTsUhylno6mSxcLlRWMz73hL_90d-cz8UMQNCFRdt0FGilJRwvrqszGsT7ZXEox9WJRreWBE1P0gaAVdMVkrs61TgUV5ebqxayIw64GHb35ZadQqVV7oxIxowq8n6FrrVNdSgpYItQO2IWuA9-F5-ocsM-toyZtJFJWyvjAkMXGMSK5nwDCd_oieX1_FVNmc30clfM3KxAUkxkb3OQGHTHvPl8Y_wRgYNM2rittim2EbAsjlJuiEsKfwhSKavKnMemhGExgI6",
  "token_type": "Bearer",
  "expires_in": 300
}

Last updated

Was this helpful?